aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Buesch <m@bues.ch>2019-08-06 19:48:56 +0200
committerMichael Buesch <m@bues.ch>2019-08-06 21:24:33 +0200
commit42fd1fffc0f54cbffa98be45cf236f4e039e641d (patch)
treecff67f7b3173bde4658e89948ac57e306253594f
parent466b3d76b34921bf5a0e811372376d38cc13cca8 (diff)
downloadawlsim-42fd1fffc0f54cbffa98be45cf236f4e039e641d.tar.xz
awlsim-42fd1fffc0f54cbffa98be45cf236f4e039e641d.zip
pilc: Lowercase hostname
Signed-off-by: Michael Buesch <m@bues.ch>
-rwxr-xr-xpilc/pilc-bootstrap.sh16
1 files changed, 4 insertions, 12 deletions
diff --git a/pilc/pilc-bootstrap.sh b/pilc/pilc-bootstrap.sh
index ebe66e47..713a708e 100755
--- a/pilc/pilc-bootstrap.sh
+++ b/pilc/pilc-bootstrap.sh
@@ -403,18 +403,15 @@ pilc_bootstrap_second_stage()
info "Mounting /proc..."
do_install -d -o root -g root -m 755 /proc
- mount -t proc proc /proc ||\
- die "Mounting /proc failed."
+ mount -t proc proc /proc || die "Mounting /proc failed."
info "Mounting /sys..."
do_install -d -o root -g root -m 755 /sys
- mount -t sysfs sysfs /sys ||\
- die "Mounting /sys failed."
+ mount -t sysfs sysfs /sys || die "Mounting /sys failed."
info "Mounting /dev/shm..."
do_install -d -o root -g root -m 755 /dev/shm
- mount -t tmpfs tmpfs /dev/shm ||\
- die "Mounting /dev/shm failed."
+ mount -t tmpfs tmpfs /dev/shm || die "Mounting /dev/shm failed."
info "Writing apt configuration..."
cat > /etc/apt/sources.list <<EOF
@@ -432,8 +429,7 @@ EOF
/etc/fstab
info "Writing misc /etc stuff..."
- echo "PiLC" > /etc/hostname ||\
- die "Failed to set hostname"
+ echo "pilc" > /etc/hostname || die "Failed to set hostname"
printf 'PiLC GNU/Linux (based on Raspbian) \\n \\l\n\n' > /etc/issue ||\
die "Failed to create /etc/issue"
printf 'PiLC GNU/Linux (based on Raspbian)\n' > /etc/issue.net ||\
@@ -649,8 +645,6 @@ EOF
# Build the packages.
debuild -uc -us -b -d || die "debuild failed"
- info "Built awlsim files:"
- ls .. || die "Failed to list results"
info "Installing awlsim..."
# Core
@@ -742,8 +736,6 @@ EOF
# Build the packages.
debuild -uc -us -b -d || die "debuild failed"
- info "Built pyprofibus files:"
- ls .. || die "Failed to list results"
info "Installing pyprofibus..."
dpkg -i ../python3-pyprofibus_*.deb ||\
bues.ch cgit interface